> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-60c89f9a-mintlify-audit-missing-sections-1778528421.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# About Partner Auth

> You need to use Partner Auth credentials to accept payments from customers on behalf of your sub-merchants. You can use these Razorpay products to accept payments:

* [Payment Gateway](/partners/aggregators/partner-auth/payment-gateway)
* [Payment Links](/partners/aggregators/partner-auth/payment-links)
* [QR Codes](/partners/aggregators/partner-auth/qr-codes)
* [Smart Collect](/partners/aggregators/partner-auth/smart-collect)
* [Subscription](/partners/aggregators/partner-auth/subscriptions)
* [Recurring Payments](/partners/aggregators/partner-auth/recurring-payments)

## Get Partner Auth Credentials

Use the Partner credentials as described in the [Dashboard Guide](/partners/aggregators#partner-credentials).

Watch this video to see how to access your Partner credentials.

**INFOR**

**Handy Tips**

* We use `Basic Auth` for authorising Partner requests.
* These credentials are mode-specific. In addition to the API Key ID and Secret, provide the sub-merchant identification in the API requests in the header.

## How to Use Partner Auth in APIs

To your API request:

1. Add the basic auth with partner credentials (client\_id and client\_secret).
2. Add the `account_id` of the sub-merchant using `X-Razorpay-Account` in the header.

You can use Partner Auth for all [Razorpay APIs](/api).

Below is an example for [Orders API](/api/orders).

````Curl: GET Request theme={null}
curl -u [CLIENT_ID]:[CLIENT_SECRET] \
-X GET https://api.razorpay.com/v1/orders \
-H "Content-Type: application/json" \
-H "X-Razorpay-Account: acc_Ef7ArAsdU5t0XL" \

```Curl: POST Request
curl -u [CLIENT_ID]:[CLIENT_SECRET] \
-X POST https://api.razorpay.com/v1/orders \
-H "Content-Type: application/json" \
-H "X-Razorpay-Account: acc_Ef7ArAsdU5t0XL" \
-d '{
    "amount": 10000,
    "currency": "INR",
    "receipt": "1"
}'
````

### Related Information

* [About Aggregators](/partners/aggregators)
* [Add Sub-merchants](/partners/aggregators/add-submerchants)
* [Testing Operations](/partners/aggregators/testing)
